#!/bin/sh

PATH=/sbin

INTERFAZ_EXT=eth0
REDLOCAL=10.0.1.0/24    # este debera de una IP pblica
IPPUBLICO=10.0.1.10/32
#
#
INTERFAZ_INT=eth1
GWPRIVADO=192.168.1.1/32
REDPRIVADA=192.168.1.0/24

DNS=10.0.1.1/32
CLIENTES=1024:
#
# Limpiamos las reglas actuales
#
iptables -F
iptables -F -t nat

#----------------------------------------
# Establecer la poltica por defecto
#      Denegar la entrada
#      Denegar el transpaso
#      Denegar la salida
#-----------------------------------------
iptables -P INPUT   DROP 
iptables -P FORWARD DROP 
iptables -P OUTPUT  DROP 

# Habilitamos el loopback dentro del cortafuegos
iptables -A INPUT -i lo -j ACCEPT
iptables -A OUTPUT -o lo -j ACCEPT

# Todos los demas servicios de la red privada se manejan con la
# cadena de FORWARD

# Conexiones a servidores WEB las dejamos pasar
iptables -A FORWARD -i $INTERFAZ_INT -o $INTERFAZ_EXT -s $REDPRIVADA -d 0.0.0.0/0 \
	--sport $CLIENTES --dport 80 -p tcp -j ACCEPT

iptables -A FORWARD -o $INTERFAZ_INT -i $INTERFAZ_EXT -s 0.0.0.0/0 -d $REDPRIVADA \
	--sport 80 --dport $CLIENTES -p tcp -j ACCEPT

# habilitamos las conexiones a servidores SSH desde la red privada
iptables -A FORWARD -i $INTERFAZ_INT -o $INTERFAZ_EXT -s $REDPRIVADA -d 0.0.0.0/0 \
	--sport $CLIENTES --dport 22 -p tcp -j ACCEPT

iptables -A FORWARD -o $INTERFAZ_INT -i $INTERFAZ_EXT -s 0.0.0.0/0 -d $REDPRIVADA \
	--sport 22 --dport $CLIENTES -p tcp -j ACCEPT

# conexiones al DNS
iptables -A FORWARD -i $INTERFAZ_INT -o $INTERFAZ_EXT -s $REDPRIVADA -d $DNS \
	--sport $CLIENTES --dport 53 -p udp -j ACCEPT

iptables -A FORWARD -o $INTERFAZ_INT -i $INTERFAZ_EXT -s $DNS -d $REDPRIVADA \
	--sport 53 --dport $CLIENTES -p udp -j ACCEPT

# Habilitamos el ping, para la red privada
iptables -A INPUT -i $INTERFAZ_INT -s $REDPRIVADA -d $GWPRIVADO -p icmp -j ACCEPT 
iptables -A OUTPUT -o $INTERFAZ_INT -s $GWPRIVADO -d $REDPRIVADA -p icmp -j ACCEPT 

# Habilitamos el ping, para la red publica
iptables -A INPUT -i $INTERFAZ_EXT -s $REDPUBLICA -d $IPPUBLICO -p icmp -j ACCEPT 
iptables -A OUTPUT -o $INTERFAZ_EXT -s $IPPUBLICO -d $REDPUBLICA -p icmp -j ACCEPT 

# Todo el trfico interno es enmascarado externamente
#
iptables -A POSTROUTING -t nat -o $INTERFAZ_EXT -j MASQUERADE

