#!/bin/sh

# Un script para configurar un cortafuegos dentro
# de un servidor WEB

PATH=/sbin

INTERFAZ_LO=lo

INTERFAZ_EXT=eth0

DIRIP=10.0.1.50/32   
DNS=10.0.1.1/32   
CLIENTES=1024:
#
#
# Limpiamos las reglas actuales
#
iptables -F
iptables -F -t nat

#----------------------------------------
# Establecer la poltica por defecto
#      Denegar la entrada
#      Denegar el transpaso
#      Denegar la salida
#-----------------------------------------
iptables -P INPUT   DROP 
iptables -P FORWARD DROP 
iptables -P OUTPUT  DROP 

# Tenemos que activar la interfaz de loopback
iptables -A INPUT -i $INTERFAZ_LO  -j ACCEPT
iptables -A OUTPUT -o $INTERFAZ_LO  -j ACCEPT

# Habilitamos el trfico para el servidor WEB
iptables -A INPUT -s 0.0.0.0/0 -d $DIRIP --sport $CLIENTES --dport 80 -p tcp \
	-j ACCEPT 
iptables -A OUTPUT -s $DIRIP -d 0.0.0.0/0 --sport 80 --dport $CLIENTES -p tcp \
	-j ACCEPT 

# Y activamos el acceso al DNS
iptables -A INPUT -s $DNS -d $DIRIP --sport 53 --dport $CLEINTES -p udp \
	-j ACCEPT 
iptables -A OUTPUT -s $DIRIP -d $DNS --sport $CLIENTES --dport 53 -p udp \
	-j ACCEPT 
